Bug 80503 - Changing an entry in HOSTS cause DEBUG output
Changing an entry in HOSTS cause DEBUG output
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-27 07:20 EST by Damian Hupfeld
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:09:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Damian Hupfeld 2002-12-27 07:20:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Traceback (most recent call last):
  File "/usr/sbin/neat", line 505, in on_okButton_clicked
    if self.save() != 0:
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 145, in save
    os.write(fp2, ipc.network()+'/'+ipc.prefix()+" via "+route.Gateway+"\n")
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 60,
in network
    return re.match("NETWORK=(\S+)", text).groups()[0]
AttributeError: 'NoneType' object has no attribute 'groups'



Had a host entry for my machine called twoleftfeet (its my first linux install
and I think I have 10 thumbs too). I changed its IP from DHCP to Static, and
then tried to change its HOSTS entry and I get above debug output.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
0.System Settings -> Network
1.Host file entry with local machine name
2.Changed IP from DHCP to static
3.Updated address in HOSTS
4.Apply or Close->Yes

    

Actual Results:  Output as follows:

Traceback (most recent call last):
  File "/usr/sbin/neat", line 505, in on_okButton_clicked
    if self.save() != 0:
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 145, in save
    os.write(fp2, ipc.network()+'/'+ipc.prefix()+" via "+route.Gateway+"\n")
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 60,
in network
    return re.match("NETWORK=(\S+)", text).groups()[0]
AttributeError: 'NoneType' object has no attribute 'groups'



Expected Results:  Network configuration should be updated.

Additional info:
Comment 1 Bill Nottingham 2006-08-07 13:09:00 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 10:09:53 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.